cudaGraphicsCubeFace
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaGraphicsCubeFace

    java.lang.Object
      jcuda.runtime.cudaGraphicsCubeFace

    public class cudaGraphicsCubeFace

extends java.lang.Object

CUDA graphics interop array indices for cube maps

Field Summary
`static int` | `cudaGraphicsCubeFaceNegativeX` Negative X face of cubemap
`static int` | `cudaGraphicsCubeFaceNegativeY` Negative Y face of cubemap
`static int` | `cudaGraphicsCubeFaceNegativeZ` Negative Z face of cubemap
`static int` | `cudaGraphicsCubeFacePositiveX` Positive X face of cubemap
`static int` | `cudaGraphicsCubeFacePositiveY` Positive Y face of cubemap
`static int` | `cudaGraphicsCubeFacePositiveZ` Positive Z face of cubemap

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given cudaGraphicsCubeFace

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cudaGraphicsCubeFacePositiveX

    public static final int cudaGraphicsCubeFacePositiveX

  Positive X face of cubemap

  See Also:
    Constant Field Values

### cudaGraphicsCubeFaceNegativeX

    public static final int cudaGraphicsCubeFaceNegativeX

  Negative X face of cubemap

  See Also:
    Constant Field Values

### cudaGraphicsCubeFacePositiveY

    public static final int cudaGraphicsCubeFacePositiveY

  Positive Y face of cubemap

  See Also:
    Constant Field Values

### cudaGraphicsCubeFaceNegativeY

    public static final int cudaGraphicsCubeFaceNegativeY

  Negative Y face of cubemap

  See Also:
    Constant Field Values

### cudaGraphicsCubeFacePositiveZ

    public static final int cudaGraphicsCubeFacePositiveZ

  Positive Z face of cubemap

  See Also:
    Constant Field Values

### cudaGraphicsCubeFaceNegativeZ

    public static final int cudaGraphicsCubeFaceNegativeZ

  Negative Z face of cubemap

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given cudaGraphicsCubeFace

  Parameters:
    `n` - The cudaGraphicsCubeFace
  Returns:
    The String identifying the given cudaGraphicsCubeFace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD